curl --request POST \
--url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignName": "<string>",
"createContact": true
}
'{
"campaignName": "<string>",
"createContact": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailCampaignId": "<string>",
"id": "<string>",
"password": "<string>"
}SMTP APIトークンを作成します。
curl --request POST \
--url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignName": "<string>",
"createContact": true
}
'{
"campaignName": "<string>",
"createContact": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailCampaignId": "<string>",
"id": "<string>",
"password": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
A request object that includes the campaign name tied to the token and whether contacts should be created for email recipients.
successful operation
A SMTP API token provides both an ID and password that can be used to send email through the HubSpot SMTP API.
SMTP APIトークンに対応付けられているキャンペーンの名前。
Eメール受信者についてコンタクトを作成する必要があるかどうかを示します。
トークンが作成されるときに生成されるタイムスタンプ。
トークン作成リクエストを送信したユーザーのEメールアドレス。
トークン作成リクエストで指定されたキャンペーンに割り当てられているID。
イベントのID。
HubSpot SMTPサーバーにログインするためのパスワード。